package de.tudarmstadt.informatik.hostage.protocol;

import java.util.ArrayList;
import java.util.List;

import de.tudarmstadt.informatik.hostage.wrapper.Packet;

/**
 * ECHO protocol
 * @author Wulf Pfeiffer
 */
public class ECHO implements Protocol{

	
	public int getPort() {
		return 7;
	}

	
	public TALK_FIRST whoTalksFirst() {
		return TALK_FIRST.CLIENT;
	}
	
	
	public List<Packet> processMessage(Packet packet) {
		List<Packet> response = new ArrayList<Packet>();
		response.add(packet);
		return response;
	}

	
	public boolean isClosed() {
		return true;
	}

	
	public boolean isSecure() {
		return false;
	}

	
	public Class<byte[]> getType() {
		return byte[].class;
	}
	
	
	public String toString() {
		return "ECHO";
	}

}
